diff --git a/src/main/java/net/minecraft/client/render/entity/PlayerRenderer.java b/src/main/java/net/minecraft/client/render/entity/PlayerRenderer.java
index 231e97e1e..004cf0cdd 100644
--- a/src/main/java/net/minecraft/client/render/entity/PlayerRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/PlayerRenderer.java
@@ -4,7 +4,6 @@ import net.minecraft.client.Minecraft;
 
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.PlayerSkinParser;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.camera.EntityCamera;
@@ -13,6 +12,7 @@ import net.minecraft.client.render.model.ModelBiped;
 import net.minecraft.client.render.model.ModelPlayer;
 import net.minecraft.client.render.model.ModelPlayerSlim;
 import net.minecraft.client.render.model.ModelSign;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.client.entity.player.EntityPlayerSP;
 import net.minecraft.core.item.*;
@@ -24,7 +24,7 @@ import org.lwjgl.opengl.GL11;
 // Referenced classes of package net.minecraft.src:
 //            RenderLiving, ModelBiped, EntityPlayer, InventoryPlayer, 
 //            ItemStack, ItemArmor, ModelRenderer, EntityPlayerSP, 
-//            RenderManager, TessellatorStandard, FontRenderer, Item,
+//            RenderManager, Tessellator, FontRenderer, Item,
 //            Block, RenderBlocks, ItemRenderer, MathHelper, 
 //            EntityLiving, Entity
 
@@ -142,7 +142,7 @@ public class PlayerRenderer extends LivingRenderer<EntityPlayer>
                     GL11.glDepthMask(false);
                     GL11.glEnable(3042 /*GL_BLEND*/);
                     GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
-                    TessellatorStandard tessellator = TessellatorStandard.instance;
+                    Tessellator tessellator = Tessellator.instance;
                     GL11.glDisable(3553 /*GL_TEXTURE_2D*/);
                     tessellator.startDrawingQuads();
                     int i = fontrenderer.getStringWidth(s) / 2;
@@ -182,7 +182,7 @@ public class PlayerRenderer extends LivingRenderer<EntityPlayer>
                 GL11.glRotatef(180F, 0.0F, 1.0F, 0.0F);
                 GL11.glScalef(f1, -f1, f1);
             }
-            ItemModelDispatcher.getInstance().getDispatch(itemstack).renderItem(TessellatorStandard.instance, renderDispatcher.itemRenderer, entity, itemstack);
+            ItemModelDispatcher.getInstance().getDispatch(itemstack).renderItem(Tessellator.instance, renderDispatcher.itemRenderer, entity, itemstack);
             GL11.glPopMatrix();
         }
 
@@ -224,7 +224,7 @@ public class PlayerRenderer extends LivingRenderer<EntityPlayer>
             GL11.glPushMatrix();
             modelBipedMain.bipedRightArm.postRender(0.0625F);
             BlockModel.setRenderBlocks(renderDispatcher.itemRenderer.renderBlocksInstance);
-            ItemModelDispatcher.getInstance().getDispatch(itemstack1).renderItemThirdPerson(TessellatorStandard.instance, renderDispatcher.itemRenderer, entity, itemstack1, true);
+            ItemModelDispatcher.getInstance().getDispatch(itemstack1).renderItemThirdPerson(Tessellator.instance, renderDispatcher.itemRenderer, entity, itemstack1, true);
             GL11.glPopMatrix();
 		}
 	}
diff --git a/src/main/java/net/minecraft/client/render/entity/SnowballRenderer.java b/src/main/java/net/minecraft/client/render/entity/SnowballRenderer.java
index 9b08e5ee5..2c5b5dd67 100644
--- a/src/main/java/net/minecraft/client/render/entity/SnowballRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/SnowballRenderer.java
@@ -1,14 +1,14 @@
 package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.item.Item;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, TessellatorStandard, RenderManager, Entity
+//            Render, Tessellator, RenderManager, Entity
 
 public class SnowballRenderer extends EntityRenderer<Entity>
 {
diff --git a/src/main/java/net/minecraft/client/render/entity/SquidRenderer.java b/src/main/java/net/minecraft/client/render/entity/SquidRenderer.java
index e0867f486..f3ffe3d29 100644
--- a/src/main/java/net/minecraft/client/render/entity/SquidRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/SquidRenderer.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.model.ModelBase;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.animal.EntitySquid;
 import org.lwjgl.opengl.GL11;
 
diff --git a/src/main/java/net/minecraft/client/render/entity/TNTRenderer.java b/src/main/java/net/minecraft/client/render/entity/TNTRenderer.java
index 9f7f72d5a..2c2184232 100644
--- a/src/main/java/net/minecraft/client/render/entity/TNTRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/TNTRenderer.java
@@ -4,9 +4,8 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.EntityTNT;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
@@ -28,7 +27,7 @@ public class TNTRenderer extends EntityRenderer<EntityTNT>
     public void renderTNT(EntityTNT tnt, double d, double d1, double d2,
                           float f, float f1)
     {
-        Tessellator tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glPushMatrix();
         GL11.glTranslatef((float)d, (float)d1, (float)d2);
         if(((float)tnt.fuse - f1) + 1.0F < 10F)
diff --git a/src/main/java/net/minecraft/client/render/entity/WolfRenderer.java b/src/main/java/net/minecraft/client/render/entity/WolfRenderer.java
index fae8fea94..219de8364 100644
--- a/src/main/java/net/minecraft/client/render/entity/WolfRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/WolfRenderer.java
@@ -3,8 +3,7 @@ package net.minecraft.client.render.entity;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.model.ModelWolf;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.entity.animal.EntityWolf;
 import net.minecraft.core.item.ItemStack;
@@ -93,7 +92,7 @@ public class WolfRenderer extends LivingRenderer<EntityWolf>
                 GL11.glRotatef(-90F, 1.0F, 0.0F, 0.0F);
                 GL11.glRotatef(70F, 1.0F, 0.0F, 1.0F);
             }
-            ItemModelDispatcher.getInstance().getDispatch(itemstack).renderItem(TessellatorStandard.instance, renderDispatcher.itemRenderer, entity, itemstack);
+            ItemModelDispatcher.getInstance().getDispatch(itemstack).renderItem(Tessellator.instance, renderDispatcher.itemRenderer, entity, itemstack);
             GL11.glPopMatrix();
         }
     }
diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModel.java
index e73add089..650fbe71f 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModel.java
@@ -5,7 +5,7 @@ import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.ItemRenderer;
 import net.minecraft.client.render.RenderEngine;
 import net.minecraft.client.render.stitcher.IconCoordinate;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityLiving;
 import net.minecraft.core.entity.player.EntityPlayer;
diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
index 1657eab7a..861cf8a92 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelBlock.java
@@ -8,8 +8,8 @@ import net.minecraft.client.render.RenderEngine;
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.entity.Entity;
diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
index 0d1ea90f2..96c130303 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelBow.java
@@ -6,7 +6,7 @@ import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.ItemRenderer;
 import net.minecraft.client.render.RenderEngine;
 import net.minecraft.client.render.stitcher.IconCoordinate;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.monster.EntitySkeleton;
 import net.minecraft.core.entity.player.EntityPlayer;
diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
index 83cb67696..702fa5510 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelMap.java
@@ -6,9 +6,9 @@ import net.minecraft.client.render.ItemRenderer;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.MapItemRenderer;
 import net.minecraft.client.render.PlayerSkinParser;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.entity.EntityRenderer;
 import net.minecraft.client.render.entity.PlayerRenderer;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.core.item.Item;
diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelNone.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelNone.java
index 89406e5a9..fcd3087d8 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelNone.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelNone.java
@@ -3,8 +3,8 @@ package net.minecraft.client.render.item.model;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.ItemRenderer;
 import net.minecraft.client.render.RenderEngine;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.core.item.ItemStack;
diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
index 29ddb3e2d..fdd4ec3e2 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
@@ -8,7 +8,7 @@ import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.RenderEngine;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.core.item.Item;
diff --git a/src/main/java/net/minecraft/client/render/model/Cube.java b/src/main/java/net/minecraft/client/render/model/Cube.java
index b7ee699be..2ec5d7c8d 100644
--- a/src/main/java/net/minecraft/client/render/model/Cube.java
+++ b/src/main/java/net/minecraft/client/render/model/Cube.java
@@ -2,12 +2,12 @@ package net.minecraft.client.render.model;
 
 import net.minecraft.client.GLAllocation;
 import net.minecraft.client.render.Vertex;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.Polygon;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            PositionTextureVertex, TexturedQuad, GLAllocation, TessellatorStandard
+//            PositionTextureVertex, TexturedQuad, GLAllocation, Tessellator
 
 public class Cube
 {
@@ -259,7 +259,7 @@ public class Cube
     {
         displayList = GLAllocation.generateDisplayLists(1);
         GL11.glNewList(displayList, 4864 /*GL_COMPILE*/);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         for(int i = 0; i < faces.length; i++)
         {
             faces[i].draw(tessellator, f);
diff --git a/src/main/java/net/minecraft/client/render/tessalator/Tessellator.java b/src/main/java/net/minecraft/client/render/tessellator/Tessellator.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/tessalator/Tessellator.java
rename to src/main/java/net/minecraft/client/render/tessellator/Tessellator.java
index 40c7a5fb8..980ff3f40 100644
--- a/src/main/java/net/minecraft/client/render/tessalator/Tessellator.java
+++ b/src/main/java/net/minecraft/client/render/tessellator/Tessellator.java
@@ -1,6 +1,9 @@
-package net.minecraft.client.render.tessalator;
+package net.minecraft.client.render.tessellator;
 
 public abstract class Tessellator {
+	
+    public static Tessellator instance = new TessellatorStandard(0x200000);
+    
     public abstract void draw();
     public abstract void startDrawingQuads();
     public abstract void startDrawing(int drawMode);
@@ -20,4 +23,5 @@ public abstract class Tessellator {
     public abstract void offsetTranslation(float x, float y, float z);
     public abstract void drawRectangle(int x, int y, int width, int height);
     public abstract void drawRectangleWithUV(int x, int y, int width, int height, double u, double v, double uvWidth, double uvHeight);
+    public abstract void setUseVBO(boolean b);
 }
diff --git a/src/main/java/net/minecraft/client/render/tessellator/TessellatorBase.java b/src/main/java/net/minecraft/client/render/tessellator/TessellatorBase.java
new file mode 100644
index 000000000..5a9cf2687
--- /dev/null
+++ b/src/main/java/net/minecraft/client/render/tessellator/TessellatorBase.java
@@ -0,0 +1,70 @@
+package net.minecraft.client.render.tessellator;
+
+import org.lwjgl.opengl.GL11;
+
+public abstract class TessellatorBase extends Tessellator {
+
+	@Override
+	public void addVertexWithUV(double x, double y, double z, double u, double v) {
+		setTextureUV(u, v);
+		addVertex(x, y, z);
+	}
+
+	@Override
+	public void drawRectangle(int x, int y, int width, int height) {
+		this.checkIsDrawing();
+		this.addVertex((double) x, (double) y, 0.0D);
+		this.addVertex((double) x, (double) (y + height), 0.0D);
+		this.addVertex((double) (x + width), (double) (y + height), 0.0D);
+		this.addVertex((double) (x + width), (double) y, 0.0D);
+	}
+
+	@Override
+	public void drawRectangleWithUV(int x, int y, int width, int height, double u, double v, double uvWidth, double uvHeight) {
+		this.checkIsDrawing();
+		this.addVertexWithUV((double) x, (double) y, 0.0D, u, v);
+		this.addVertexWithUV((double) x, (double) (y + height), 0.0D, u, v + uvHeight);
+		this.addVertexWithUV((double) (x + width), (double) (y + height), 0.0D, u + uvWidth, v + uvHeight);
+		this.addVertexWithUV((double) (x + width), (double) y, 0.0D, u + uvWidth, v);
+	}
+
+	@Override
+
+	public void setColorOpaque(int r, int g, int b) {
+		this.setColorRGBA(r, g, b, 255);
+	}
+
+	@Override
+	public void setColorOpaque_F(float r, float g, float b) {
+		this.setColorOpaque((int) (r * 255.0F), (int) (g * 255.0F), (int) (b * 255.0F));
+	}
+
+	@Override
+	public void setColorOpaque_I(int rgb) {
+		int r = rgb >> 16 & 255;
+		int g = rgb >> 8 & 255;
+		int b = rgb & 255;
+		this.setColorOpaque(r, g, b);
+	}
+
+	@Override
+	public void setColorRGBA_F(float r, float g, float b, float a) {
+		this.setColorRGBA((int) (r * 255.0F), (int) (g * 255.0F), (int) (b * 255.0F), (int) (a * 255.0F));
+	}
+
+	@Override
+	public void setColorRGBA_I(int rgb, int a) {
+		int r = rgb >> 16 & 255;
+		int g = rgb >> 8 & 255;
+		int b = rgb & 255;
+		this.setColorRGBA(r, g, b, a);
+	}
+
+	@Override
+	public void startDrawingQuads() {
+		startDrawing(GL11.GL_QUADS);
+	}
+
+	public abstract void checkIsDrawing();
+
+}
diff --git a/src/main/java/net/minecraft/client/render/tessalator/TessellatorStandard.java b/src/main/java/net/minecraft/client/render/tessellator/TessellatorStandard.java
similarity index 77%
rename from src/main/java/net/minecraft/client/render/tessalator/TessellatorStandard.java
rename to src/main/java/net/minecraft/client/render/tessellator/TessellatorStandard.java
index 98896a081..1782b9ae1 100644
--- a/src/main/java/net/minecraft/client/render/tessalator/TessellatorStandard.java
+++ b/src/main/java/net/minecraft/client/render/tessellator/TessellatorStandard.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.render.tessalator;
+package net.minecraft.client.render.tessellator;
 
 import java.nio.*;
 
@@ -12,29 +12,51 @@ import static org.lwjgl.opengl.GL15.GL_ARRAY_BUFFER;
 // Referenced classes of package net.minecraft.src:
 //            GLAllocation
 
-public class TessellatorStandard extends Tessellator
+public class TessellatorStandard extends TessellatorBase
 {
-    TessellatorStandard(int bufferSize)
+
+    private static boolean convertQuadsToTriangles = true;
+    private ByteBuffer byteBuffer;
+    private IntBuffer intBuffer;
+    private FloatBuffer floatBuffer;
+    private ShortBuffer shortBuffer;
+    private int rawBuffer[];
+    private int vertexCount;
+    private double textureU;
+    private double textureV;
+    private int lightmapCoord;
+    private int color;
+    private boolean hasColor;
+    private boolean hasTexture;
+    private boolean hasNormals;
+    private boolean hasLightmap;
+    private int rawBufferIndex;
+    private int addedVertices;
+    private boolean isColorDisabled;
+    private int drawMode;
+    private double xOffset;
+    private double yOffset;
+    private double zOffset;
+    private int normal;
+    private boolean isDrawing;
+    private boolean useVBO;
+    private IntBuffer vertexBuffers;
+    private int vboIndex;
+    private int vboCount = 10;
+    private int bufferSize;
+    
+	TessellatorStandard(int bufferSize)
     {
-        vertexCount = 0;
-        hasColor = false;
-        hasTexture = false;
-        hasNormals = false;
-        rawBufferIndex = 0;
-        addedVertices = 0;
-        isColorDisabled = false;
-        isDrawing = false;
-        vboIndex = 0;
-        vboCount = 10;
         this.bufferSize = bufferSize;
-        byteBuffer = GLAllocation.createDirectByteBuffer(bufferSize * 4);
-        intBuffer = byteBuffer.asIntBuffer();
-        floatBuffer = byteBuffer.asFloatBuffer();
-        shortBuffer = byteBuffer.asShortBuffer();
-        rawBuffer = new int[bufferSize];
+        this.byteBuffer = GLAllocation.createDirectByteBuffer(bufferSize * 4);
+        this.intBuffer = byteBuffer.asIntBuffer();
+        this.floatBuffer = byteBuffer.asFloatBuffer();
+        this.shortBuffer = byteBuffer.asShortBuffer();
+        this.rawBuffer = new int[bufferSize];
         setUseVBO(Minecraft.getMinecraft(this).gameSettings.enableVbos.value);
     }
-    public void setUseVBO(boolean flag){
+    @Override
+	public void setUseVBO(boolean flag){
         useVBO = flag && GLContext.getCapabilities().GL_ARB_vertex_buffer_object;
         if (useVBO){
             vertexBuffers = GLAllocation.createDirectIntBuffer(vboCount);
@@ -44,7 +66,8 @@ public class TessellatorStandard extends Tessellator
         }
     }
 
-    public void draw()
+    @Override
+	public void draw()
     {
     	checkIsDrawing();
         isDrawing = false;
@@ -156,13 +179,9 @@ public class TessellatorStandard extends Tessellator
         rawBufferIndex = 0;
         addedVertices = 0;
     }
-
-    public void startDrawingQuads()
-    {
-        startDrawing(7);
-    }
-
-    public void startDrawing(int drawMode)
+    
+    @Override
+	public void startDrawing(int drawMode)
     {
         if(isDrawing)
         {
@@ -181,7 +200,8 @@ public class TessellatorStandard extends Tessellator
         }
     }
 
-    public void setTextureUV(double u, double v)
+    @Override
+	public void setTextureUV(double u, double v)
     {
         hasTexture = true;
         textureU = u;
@@ -199,23 +219,9 @@ public class TessellatorStandard extends Tessellator
     	hasLightmap = true;
     	this.lightmapCoord = lightmapCoord;
     }
-
-    public void setColorOpaque_F(float r, float g, float b)
-    {
-        setColorOpaque((int)(r * 255F), (int)(g * 255F), (int)(b * 255F));
-    }
-
-    public void setColorRGBA_F(float r, float g, float b, float a)
-    {
-        setColorRGBA((int)(r * 255F), (int)(g * 255F), (int)(b * 255F), (int)(a * 255F));
-    }
-
-    public void setColorOpaque(int r, int g, int b)
-    {
-        setColorRGBA(r, g, b, 255);
-    }
-
-    public void setColorRGBA(int r, int g, int b, int a)
+    
+    @Override
+	public void setColorRGBA(int r, int g, int b, int a)
     {
         if(isColorDisabled)
         {
@@ -262,14 +268,9 @@ public class TessellatorStandard extends Tessellator
             color = r << 24 | g << 16 | b << 8 | a;
         }
     }
-
-    public void addVertexWithUV(double x, double y, double z, double u, double v)
-    {
-        setTextureUV(u, v);
-        addVertex(x, y, z);
-    }
-
-    public void addVertex(double x, double y, double z)
+    
+    @Override
+	public void addVertex(double x, double y, double z)
     {
         addedVertices++;
         if(drawMode == 7 && convertQuadsToTriangles && addedVertices % 4 == 0)
@@ -325,29 +326,15 @@ public class TessellatorStandard extends Tessellator
             isDrawing = true;
         }
     }
-
-    public void setColorOpaque_I(int rgb)
-    {
-        int r = rgb >> 16 & 0xff;
-        int g = rgb >> 8 & 0xff;
-        int b = rgb & 0xff;
-        setColorOpaque(r, g, b);
-    }
-
-    public void setColorRGBA_I(int rgb, int a)
-    {
-        int r = rgb >> 16 & 0xff;
-        int g = rgb >> 8 & 0xff;
-        int b = rgb & 0xff;
-        setColorRGBA(r, g, b, a);
-    }
-
-    public void disableColor()
+    
+    @Override
+	public void disableColor()
     {
         isColorDisabled = true;
     }
 
-    public void setNormal(float x, float y, float z)
+    @Override
+	public void setNormal(float x, float y, float z)
     {
         if(!isDrawing)
         {
@@ -360,75 +347,28 @@ public class TessellatorStandard extends Tessellator
         normal = bx | by << 8 | bz << 16;
     }
 
-    public void setTranslation(double x, double y, double z)
+    @Override
+	public void setTranslation(double x, double y, double z)
     {
         xOffset = x;
         yOffset = y;
         zOffset = z;
     }
 
-    public void offsetTranslation(float x, float y, float z)
+    @Override
+	public void offsetTranslation(float x, float y, float z)
     {
         xOffset += x;
         yOffset += y;
         zOffset += z;
     }
     
-    public void drawRectangle(int x, int y, int width, int height)
-    {
-    	checkIsDrawing();
-    	addVertex(x, y, 0);
-    	addVertex(x, y+height, 0);
-    	addVertex(x+width, y+height, 0);
-    	addVertex(x+width, y, 0);
-    }
-
-    public void drawRectangleWithUV(int x, int y, int width, int height, double u, double v, double uvWidth, double uvHeight)
-    {
-        checkIsDrawing();
-        addVertexWithUV(x, y, 0, u, v);
-        addVertexWithUV(x, y + height, 0, u, v + uvHeight);
-        addVertexWithUV(x + width, y + height, 0, u + uvWidth, v + uvHeight);
-        addVertexWithUV(x + width, y, 0, u + uvWidth, v);
-    }
-
-
-    private void checkIsDrawing() {
+    @Override
+    public void checkIsDrawing() {
         if(!isDrawing)
         {
             throw new IllegalStateException("Not tesselating!");
         }
     }
 
-    private static boolean convertQuadsToTriangles = true;
-    private ByteBuffer byteBuffer;
-    private IntBuffer intBuffer;
-    private FloatBuffer floatBuffer;
-    private ShortBuffer shortBuffer;
-    private int rawBuffer[];
-    private int vertexCount;
-    private double textureU;
-    private double textureV;
-    private int lightmapCoord;
-    private int color;
-    private boolean hasColor;
-    private boolean hasTexture;
-    private boolean hasNormals;
-    private boolean hasLightmap;
-    private int rawBufferIndex;
-    private int addedVertices;
-    private boolean isColorDisabled;
-    private int drawMode;
-    private double xOffset;
-    private double yOffset;
-    private double zOffset;
-    private int normal;
-    public static TessellatorStandard instance = new TessellatorStandard(0x200000);
-    private boolean isDrawing;
-    private boolean useVBO;
-    private IntBuffer vertexBuffers;
-    private int vboIndex;
-    private int vboCount;
-    private int bufferSize;
-
 }
diff --git a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRenderer.java b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRenderer.java
index 454c4da82..033d5ba10 100644
--- a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRenderer.java
@@ -3,7 +3,7 @@ package net.minecraft.client.render.tileentity;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.RenderEngine;
 import net.minecraft.client.render.TileEntityRenderDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.world.World;
 
diff --git a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererFlag.java b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererFlag.java
index dbcd6f4d4..7af477402 100644
--- a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererFlag.java
+++ b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererFlag.java
@@ -3,7 +3,7 @@ package net.minecraft.client.render.tileentity;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.FlagRenderer;
 import net.minecraft.client.render.model.ModelFlag;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntityFlag;
 
diff --git a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererFlowerJar.java b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererFlowerJar.java
index e4fa63ce9..cc2457508 100644
--- a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererFlowerJar.java
+++ b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererFlowerJar.java
@@ -4,8 +4,8 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntityFlowerJar;
diff --git a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMesh.java b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMesh.java
index 82b6332b3..c2423709b 100644
--- a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMesh.java
+++ b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMesh.java
@@ -5,8 +5,7 @@ import net.minecraft.client.render.EntityRenderDispatcher;
 import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.entity.TileEntityMeshGold;
 import net.minecraft.core.util.helper.MathHelper;
@@ -29,7 +28,7 @@ public class TileEntityRendererMesh extends TileEntityRenderer<TileEntityMeshGol
         if (Global.accessor.isFullbrightEnabled()) lightLevel = 1.0f;
         BlockModel.setRenderBlocks(EntityRenderDispatcher.instance.itemRenderer.renderBlocksInstance);
         GL11.glEnable(32826 /*GL_RESCALE_NORMAL_EXT*/);
-        ItemModelDispatcher.getInstance().getDispatch(tileEntity.filterItem).renderAsItemEntity(TessellatorStandard.instance, null, tileEntity.worldObj.rand, tileEntity.filterItem, 1, f3, lightLevel, renderPartialTicks);
+        ItemModelDispatcher.getInstance().getDispatch(tileEntity.filterItem).renderAsItemEntity(Tessellator.instance, null, tileEntity.worldObj.rand, tileEntity.filterItem, 1, f3, lightLevel, renderPartialTicks);
         GL11.glDisable(32826 /*GL_RESCALE_NORMAL_EXT*/);
         GL11.glPopMatrix();
     }
